import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://raw.githubusercontent.com/vineelaramulapalli32/Data_Barchart/main/barchart_dataset.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.Users = +d.Users;
      d.Application = d.Application;
      return d;
    };
    csv(csvUrl, row).then(data => {
      setData(data.slice(0, 50)); // Adjust this to display the number of records you want
    });
  }, []);
  
  return data;
};
